<template>

</template>

<script>
import {ssoLogin} from "@/api/system/user.js"
import {mapGetters} from "vuex";
import {setStore} from "@/util/store";

export default {
  name: "sso",
  data() {
    return {
      PathString:'',
    }
  },
  computed: {
    ...mapGetters(["tagWel"])
  },
  created() {
    this.onLoad()
  },

  methods: {
    onLoad() {
      this.PathString=this.$route.query.empCode;
      this.$store.dispatch("LoginBySso", { PathString: this.PathString }).then((res) => {
        console.log('res', res)
        this.$router.push({ path: this.tagWel.value });
      })
    }
  }
}
</script>

<style scoped>

</style>
